// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.

#import "NSObject-OBObjectCompatibility.h"
#import <Foundation/Foundation.h>

#import "rcsid.h"

RCS_ID("$Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniBase/NSObject-OBObjectCompatibility.m,v 1.4 1998/01/12 06:53:08 kc Exp $")

@implementation NSObject (OBObjectCompatibility)

- (NSMutableDictionary *)debugDictionary;
{
    NSMutableDictionary        *debugDictionary;

    debugDictionary = [NSMutableDictionary dictionary];
    [debugDictionary setObject:[self shortDescription] forKey:@"__self__"];

    return debugDictionary;
}

- (NSString *)shortDescription;
{
    return [self description];
}

@end
